#
# spec file for package coreutils (Version 5.0)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  gettext libacl libacl-devel libattr libattr-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libacl-devel libattr-devel libtool perl rpm

Name:         coreutils
URL:          http://www.gnu.org/software/coreutils/
License:      GPL
Group:        System/Base
Provides:     fileutil fileutils sh-utils sh_utils shellutl stat textutil textutils textutl txtutils
Obsoletes:    fileutil fileutils sh-utils sh_utils stat textutil textutils
Autoreqprov:  on
PreReq:       %{install_info_prereq}
Version:      5.0
Release:      90
Summary:      GNU Core Utilities
Source:       coreutils-%{version}.tar.bz2
Source1:      su.pamd
Patch:        coreutils-%{version}.dif
Patch1:       coreutils-acl.diff
Patch2:       coreutils-acl+posix.diff
Patch3:       coreutils-xattr.diff
Patch4:       coreutils-i18n.patch
Patch5:       coreutils-tests.patch
Patch6:       coreutils-5.0-pam-env.patch
Patch7:       coreutils-i18n-sort.patch
Patch8:       coreutils-sysinfo.diff
Patch9:       coreutils-ls.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Basic file, shell and text manipulation utilities.  The package
contains the following programs:

basename cat chgrp chmod chown chroot cksum comm cp csplit cut date dd
df dir dircolors dirname du echo env expand expr factor false fmt fold
install groups head id join kill link ln logname ls md5sum mkdir mkfifo
mknod mv nice nl nohup od paste pathchk pinky pr printenv printf ptx
pwd readlink rm rmdir seq sha1sum shred sleep sort split stat stty su
sum sync tac tail tee test touch tr true tsort tty uname unexpand uniq
unlink uptime users vdir wc who whoami yes



Authors:
--------
    Arnold Robbins <arnold@audiofax.com>
    Colin Plumb <colin@nyx.net>
    David M. Ihnat
    David MacKenzie <djm@gnu.org>
    Franois Pinard <pinard@iro.umontreal.ca>
    H. Peter Anvin <hpa@transmeta.com>
    Ian Lance Taylor <ian@airs.com>
    Jay Lepreau <lepreau@cs.utah.edu>
    Jim Kingdon
    Jim Meyering <jim@meyering.net>
    Joseph Arceneaux
    Kaveh Ghazi
    Kayvan Aghaiepour
    Larry McVoy <lm@sgi.com>
    Mark Kettenis <kettenis@phys.uva.nl>
    Michael Meskes
    Michael Stone <mstone@debian.org>
    Mike Haertel
    Mike Parker
    Paul Eggert <eggert@twinsun.com>
    Paul Rubin <phr@ocf.berkeley.edu>
    Pete TerMaat
    Randy Smith
    Richard M. Stallman <rms@gnu.org>
    Richard Mlynarik
    Roland Huebner <ro-huebner@gmx.de>
    Roland McGrath <roland@redhat.com>
    Ross Paterson <rap@doc.ic.ac.uk>
    Scott Bartram
    Scott Miller
    Stuart Kemp <skemp@peter.bmc.com>
    Torbjorn Granlund <tege@nada.kth.se>
    Ulrich Drepper <drepper@redhat.com>

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch
%patch5
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9
rm -f man/hostid.x man/hostname.x

%build
%{suse_update_config -f}
mv m4/inttypes.m4 m4/inttypes-eggert.m4
autoreconf --force --install
./configure CFLAGS="-DUSE_PAM $RPM_OPT_FLAGS -Wall" \
	    --prefix=%{_prefix} --mandir=%{_mandir} \
	    --infodir=%{_infodir} --without-included-regex
make PAMLIBS="-ldl -lpam"
if test $EUID -eq 0; then
  su nobody -c make check
  make check-root
else
  make check
fi

%install
make DESTDIR="$RPM_BUILD_ROOT" install-strip
test -f $RPM_BUILD_ROOT%{_bindir}/su || \
  install -s src/su $RPM_BUILD_ROOT%{_bindir}/su
install -d $RPM_BUILD_ROOT/bin
rm -f bin.files
for i in basename cat chgrp chmod chown cp date dd df echo false kill ln ls mkdir mknod mv pwd rm rmdir sleep sort stty su sync touch true uname
do
	mv $RPM_BUILD_ROOT%{_bindir}/$i $RPM_BUILD_ROOT/bin/$i
	test $i = su || echo /bin/$i >> bin.files
done
ln -sf test $RPM_BUILD_ROOT%{_bindir}/[
ln -sf ../../bin/basename ../../bin/sort ../../bin/touch $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT/etc/pam.d
install -m 644 $RPM_SOURCE_DIR/su.pamd $RPM_BUILD_ROOT/etc/pam.d/su

%post
%install_info --info-dir=%{_infodir} %{_infodir}/coreutils.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/coreutils.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files -f bin.files
%defattr(-,root,root)
%doc README NEWS
%config /etc/pam.d/su
%attr(4755,root,root) /bin/su
%{_bindir}/*
%doc %{_infodir}/coreutils.info*.gz
%{_prefix}/share/locale/*/LC_MESSAGES/coreutils.mo
%doc %{_mandir}/man1/*.1.gz

%changelog -n coreutils
* Tue Oct 21 2003 - schwab@suse.de
- Fix DoS with `ls -w'.
* Fri Sep 19 2003 - kukuk@suse.de
- Add missing textutil to Provides
* Mon Aug 25 2003 - agruen@suse.de
- Fix uname command to report reasonable processor and platform
  information (coreutils-sysinfo.diff: based on similar RedHat
  patch).
* Mon Jul 21 2003 - schwab@suse.de
- Fix typo in i18n patch for join.
* Fri Jul 18 2003 - schwab@suse.de
- Avoid abort in sort on inconsistent locales [#26506].
* Tue Jul 15 2003 - okir@suse.de
- make su export variables declared via pam_putenv
* Wed May 28 2003 - kukuk@suse.de
- PAM fixes for su:
- Move pam_open_session call before dropping privilegs, session
  management needs max. possible credentials and needs to be done
  before we change into the home directory of the user.
- Don't set PAM_TTY and PAM_RUSER to fake names.
- Use conversion function from libpam_misc.
* Fri May 16 2003 - schwab@suse.de
- Fix exit status from su.
* Thu Apr 24 2003 - ro@suse.de
- fix head calling syntax
* Mon Apr 07 2003 - schwab@suse.de
- Only delete info entries when removing last version.
* Fri Apr 04 2003 - schwab@suse.de
- Update to coreutils 5.0.
* Mon Mar 31 2003 - schwab@suse.de
- Update to coreutils 4.5.12.
* Thu Mar 20 2003 - schwab@suse.de
- Update to coreutils 4.5.11.
* Mon Mar 10 2003 - schwab@suse.de
- Fix LFS bug in du [#24960].
* Thu Feb 27 2003 - schwab@suse.de
- Readd textutils i18n patches.
* Thu Feb 27 2003 - agruen@suse.de
- Per hint from Andreas Schwab, don't use awk in autoconf. (The
  improved test is simpler, too.)
* Thu Feb 27 2003 - agruen@suse.de
- Fix autoconf test for attr_copy_file that caused all binaries
  to be linked needlessly against libattr.so.
* Tue Feb 25 2003 - agruen@suse.de
- Extended attribute copying: Use the newly exported
  attr_copy_check_permissions() callback exported by libattr.so,
  so that the EA copying done by coreutils is consistent with
  other apps [#24244].
* Mon Feb 24 2003 - schwab@suse.de
- Update to coreutils 4.5.8.
  * Fixes bugs in du.
* Mon Feb 17 2003 - agruen@suse.de
- Add extended attribute copying patch: Affects cp, mv, install.
  See the cp manual page for details on the changes in cp. The
  mv utility always tries to copy extended attributes; install
  never does.
* Mon Feb 10 2003 - schwab@suse.de
- Update to coreutils 4.5.7.
* Fri Feb 07 2003 - kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so, use same rules for
  password changing as passwd.
* Thu Feb 06 2003 - schwab@suse.de
- Use %%install_info.
* Thu Feb 06 2003 - schwab@suse.de
- Update to coreutils 4.5.6.
* Mon Feb 03 2003 - schwab@suse.de
- Package created, combining textutils, sh-utils and fileutils.
